unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  s,i : integer;
begin
  s := 0;
  i := 1;
  while i<=100 do
  begin
    s := s + i;
    i := i + 1;
  end;
  Label1.Caption:='1+2+3+......+99+100='+inttostr(s);
end;

end.
